common.hpp File Reference
Support for Serializing Various Types » Miscellaneous Types Support

Support common types - always included automatically. More...

`#include "cereal/cereal.hpp"`

Go to the source code of this file.

## Classes

class | cereal::common_detail::is_enum< T >
| Checks if a type is an enum. More...

## Functions

template<class Archive , class T >
void | cereal::common_detail::serializeArray (Archive &ar, T &array, std::true_type)
| Serialization for arrays if BinaryData is supported and we are arithmetic.
template<class Archive , class T >
void | cereal::common_detail::serializeArray (Archive &ar, T &array, std::false_type)
| Serialization for arrays if BinaryData is not supported or we are not arithmetic.
template<class Archive , class T >
std::enable_if< common_detail::is_enum< T >::value, typename common_detail::is_enum< T >::base_type >::type | cereal::CEREAL_SAVE_MINIMAL_FUNCTION_NAME (Archive const &, T const &t)
| Saving for enum types.
template<class Archive , class T >
std::enable_if< common_detail::is_enum< T >::value, void >::type | cereal::CEREAL_LOAD_MINIMAL_FUNCTION_NAME (Archive const &, T &&t, typename common_detail::is_enum< T >::base_type const &value)
| Loading for enum types.
template<class Archive , class T >
void | cereal::CEREAL_SERIALIZE_FUNCTION_NAME (Archive &, T *&)
| Serialization for raw pointers. More...
template<class Archive , class T >
std::enable_if< std::is_array< T >::value, void >::type | cereal::CEREAL_SERIALIZE_FUNCTION_NAME (Archive &ar, T &array)
| Serialization for C style arrays.

## Detailed Description

Support common types - always included automatically.

## Function Documentation

## CEREAL_SERIALIZE_FUNCTION_NAME()

template<class Archive , class T >

void cereal::CEREAL_SERIALIZE_FUNCTION_NAME | ( | Archive & | ,
|  | T *& |
| ) |  |

inline

Serialization for raw pointers.

This exists only to throw a static_assert to let users know we don't support raw pointers.